aboutsummaryrefslogtreecommitdiff
path: root/utils/gambling_sites_download.sh
diff options
context:
space:
mode:
authorToni <matzeton@googlemail.com>2023-05-20 15:41:15 +0200
committerGitHub <noreply@github.com>2023-05-20 15:41:15 +0200
commitc97e2d67ffe9d9bd544b9c40856f897d75963606 (patch)
treeadf6b6d115d5e5eee5fc11d977460826e31c3117 /utils/gambling_sites_download.sh
parent9004d5c2ca71a9821a2041f0a5e16b4144a66ee7 (diff)
Added scripts to auto generate hostname/SNI *.inc files. (#1984)
* add illegal gambling sites (Belgium) Signed-off-by: lns <matzeton@googlemail.com>
Diffstat (limited to 'utils/gambling_sites_download.sh')
-rwxr-xr-xutils/gambling_sites_download.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/utils/gambling_sites_download.sh b/utils/gambling_sites_download.sh
new file mode 100755
index 000000000..614e7c694
--- /dev/null
+++ b/utils/gambling_sites_download.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env sh
+
+set -e
+
+cd "$(dirname "${0}")" || exit 1
+
+DEST=../src/lib/inc_generated/ndpi_gambling_match.c.inc
+LIST=/tmp/gambling.list
+
+printf '(1) %s\n' "Scraping Illegal Gambling Sites (Belgium)"
+DOMAINS="$(curl -s 'https://www.gamingcommission.be/en/gaming-commission/illegal-games-of-chance/list-of-illegal-gambling-sites' | sed -n 's/^<td[^>]\+>\(.\+\.[a-zA-Z0-9]\+\)\(\|\/.*[^<]*\)<\/td>/\1/gp' || exit 1)"
+
+echo "${DOMAINS}" >${LIST}
+./hostname2list.py "${LIST}" "Gambling" NDPI_PROTOCOL_GAMBLING NDPI_PROTOCOL_CATEGORY_WEB NDPI_PROTOCOL_UNSAFE >${DEST}
+rm -f "${LIST}"
+
+exit 0